Package net.sourceforge.jiu.apps

# Class StringLoader

java.lang.Object
net.sourceforge.jiu.apps.StringLoader

public class StringLoader extends Object
This class loads a `Strings` resource from a text file. The text file must contain one

Since:
  0.12.0
Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`private BufferedReader`
`in`
`private Integer`
`langCode`
`static String`
`resourceDirectory`
The directory of language resource files, default: `/resources/lang/`.

## Constructor Summary

Constructors
Constructor
Description
`StringLoader()`
`StringLoader(String iso639Code)`

## Method Summary

Modifier and Type
Method
Description
`Strings`
`load()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### in

private BufferedReader in

### langCode

private Integer langCode

### resourceDirectory

public static String resourceDirectory
The directory of language resource files, default: `/resources/lang/`.

## Constructor Details

### StringLoader

public StringLoader()

### StringLoader

public StringLoader(String iso639Code)

## Method Details

### load

public Strings load() throws IOException

Throws:
  `IOException`